Page MenuHomePhabricator

Merge Wikimedia's "Deployment checklist for new extensions" doc pages
Closed, ResolvedPublic

Description

In T141586#2504048 @greg wrote that

The canonical location for the checklist to deploy a new extension is at https://www.mediawiki.org/wiki/Review_queue#Checklist

while I would have spontaneously linked to https://www.mediawiki.org/wiki/Writing_an_extension_for_deployment instead.

Would others also appreciate if we had one single place? :)
Might even be an good first bug task once we've defined which place to prefer.

Event Timeline

Aklapper created this task.Aug 4 2016, 12:05 PM

I'm totally fine with mw:Writing_an_extension_for_deployment over mw:Review_queue. "Review queue" isn't immediately obvious what it's for and people won't find it easily on their own (is my guess); they'll find the former.

So yeah, merging them would be great. Adding good first bug .

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptAug 4 2016, 5:22 PM
greg added a comment.Aug 4 2016, 5:23 PM

...to be explicit: after merge we can probably just redirect "Review queue" to "Writing and extension..."

@greg @Aklapper
I want to solve this issue.
Can you provide some guidance how can I do this as this is my first task?

@Mayank.jindal5: Thanks for your interest and help!
See https://en.wikipedia.org/wiki/Wikipedia:Merging#How_to_merge basically, making sure that no information is duplicated anymore and no important information is missing after merging into one page.
It's probably best if you draft the merged version on a wiki page which is a subpage of your personal user page on mediawiki.org. After it's fine its content could be copied into the current "real" page.
If you have any specific questions feel free to ask - happy to help! :)

Rahul24 added a subscriber: Rahul24.Oct 2 2016, 9:48 AM

@Mayank.jindal5: Just checking: Anything we can help with? (Do you still plan to work on this?)

Aklapper triaged this task as Low priority.Oct 18 2016, 11:55 AM
  • Writing_an_extension_for_deployment suffers from trying to cover very different things on one page: There's the generic "writing an extension" properly part but there are also aspects related to "for deployment on WMF sites". The first is clearly https://www.mediawiki.org/wiki/Manual:Developing_extensions and should not be on the Writing_an_extension_for_deployment page.
  • The "Checklist/Process" order on "Review queue" is different from the order of items on the "Writing an extension" page and its "Set up your new project" section.
  • "Checklist/Process" on "Review queue" has items like "Product review, if applicable" and "Design review, if applicable" but does not explain criteria to judge when it is applicable, and does not explain what a "product review" is.
  • The "Tips" section on "Review queue" does not tell you when to perform these steps.
Xephyr826 added a subscriber: Xephyr826.

Hi @Aklapper , @greg , and @Mayank.jindal5 ,

I'm a new contributor and I'd also like to help with this task.

I have a draft of the merged information ready for review here:

https://www.mediawiki.org/wiki/User:Xephyr826/Writing_an_extension_for_deployment

@Xephyr826 Welcome.
You can work on this task.

@Xephyr826: Thanks a lot!

The more I think about this task, the more I think this is not an good first bug task, as I don't think that our docs match reality - if we asked for community support first and only after that ask to start to write code I can imagine that the community opinion would be asked for again once the code is close to being 'ready for deployment'.

What should likely be doable to contribute here though is splitting out the generic parts "how to write an extension" (not necessarily for deployment) and making sure relevant parts are covered in https://www.mediawiki.org/wiki/Manual:Developing_extensions .

@Xephyr826: Sorry that I'm probably a bit demotivating - not my intention but it seems to be more complex than expected to 'do this right'. :-/

@Aklapper , No problem. I can take a shot at splitting out the "how to write an extension" parts.

By the way, I wanted to mention that I watched your Wikimania talk on phabricator and it helped motivate me to try to contribute.

Xephyr826 removed Xephyr826 as the assignee of this task.Oct 22 2016, 6:47 AM

Stopping work on this one as I'm a bit unclear on the scope and content of the pages related to this task.

@Aklapper , I was looking at the Writing_an_extension_for_deployment#Coding_your_extension section for generic "writing an extension" parts I could move to https://www.mediawiki.org/wiki/Manual:Developing_extensions but the suggestions in the section are specific to developing an extension for Wikimedia and it makes sense to me to have those recommendations where they are.

Moving on to another easy docs bug and following this one to learn from the way it's resolved.

Aklapper claimed this task.Nov 17 2016, 7:02 PM

@Xephyr826 : Thanks for having taken a look at this (and the compliments) and again sorry that this turned out to be more complex.

Alright, I'm done with mw:Review queue and nothing is left on mw:Writing an extension for deployment not covered in mw:Review queue.
I tried to split "general prerequisites" and the actual deployment process. And I admit I added some stuff too. Like mentioning a DBA review.

@greg: mw:Review queue now welcomes a review as I copied some info that might be outdated (who knows, I don't deploy).

Remaining questions:

  • What the heck is a "product review"?
  • Do we still have performance/scalability reviews?

Going to set up the page redirect now and then my work here is done. Word.

Aklapper moved this task from To triage to Oct-Dec-2016 on the Developer-Advocacy board.
Aklapper moved this task from Backlog to November on the Developer-Advocacy (Oct-Dec-2016) board.
Aklapper closed this task as Resolved.Nov 28 2016, 1:52 PM

Well, one week is over, and the "merging" (what this task is about) is done. Hence closing as resolved.
RelEng is still welcome to make edits to the wiki page, see my questions above. :)

Qgil awarded a token.Nov 28 2016, 9:40 PM